/**
 * @(#)BlockedContact.java
 */
package com.maileon.api.contacts;

public class BlockedContact extends Contact {

	private String blockingReason;
	
	private Long blockingTimestamp;
	
	public BlockedContact() {
		
	}
	
	public BlockedContact(String blockingReason, Long blockingTimestamp) {
		this.blockingReason = blockingReason;
		this.blockingTimestamp = blockingTimestamp;
	}

	public String getBlockingReason() {
		return blockingReason;
	}

	public void setBlockingReason(String blockingReason) {
		this.blockingReason = blockingReason;
	}

	public Long getBlockingTimestamp() {
		return blockingTimestamp;
	}

	public void setBlockingTimestamp(Long blockingTimestamp) {
		this.blockingTimestamp = blockingTimestamp;
	}

	@Override
	public String toString() {
		return String.format(
				"BlockedContact [blockingReason=%s, blockingTimestamp=%s]",
				blockingReason, blockingTimestamp);
	}
	
	
 }
