/**
 * @(#)CustomContactFieldDefinitionAdaptor.java
 */
package com.maileon.api.contacts;

import java.util.ArrayList;
import java.util.List;

import org.dom4j.Element;

public class CustomContactFieldDefinitionAdaptor {

	public static List<CustomContactFieldDefinition> fromXml(Element xml) {
		List<Element> elements = xml.elements("custom_field");
		List<CustomContactFieldDefinition> l = new ArrayList<>();
		for (Element e : elements) {
			CustomContactFieldDefinition d = new CustomContactFieldDefinition();
			d.setName(e.elementText("name"));
			d.setType(e.elementText("type"));
			l.add(d);
		}
		return l;
	}
	
	
}
